<!DOCTYPE html>
<html lang="it">
<head>
    <meta charset="UTF-8"> 
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>C4L - Home</title>
    <link rel="stylesheet" type="text/css" href="./css/style.css" />
    <script src="javascript/jquery-3.4.1.min.js"></script>
    <script src="javascript/menu.js"></script>
		<script src="javascript/banner.js"></script>
</head>
<body>
  <nav id="header-nav">
  <div class="nav-bar-container">
		<ul>
			<li id="sitename">
				<a href="index.html"><img src="./img/icons/logo.png" alt="homepage" /></a>
			</li>
			<li id="menu"><button id="menu-toggle-btn" class="menu-icon-off btn-transparent"></button></li>
      <li id="separator"></li>
      <li id="notif"><button id="notif-toggle-btn" class="notif-icon-off btn-transparent"></button></li>
      <li id="cart"><a href="cart.html" ><img src="./img/icons/cart.png" alt="cart" /></a></li>
		</ul>
	</div>
	<div id="toggle-menu-container">
		<ul>
			<li><a href="classes.html">Tutti i corsi</a></li>
			<li><a href="#link2">Pasticceria</a></li>
			<li><a href="#link3">Cucina italiana</a></li>
			<li><a href="#link3">Cucina internazionale</a></li>
			<li><a href="#link4">Degustazione</a></li>
			<li><a href="login.html">Accedi</a></li>
		</ul>
  </div>
  <div id="toggle-notif-container">
		<ul>
      <li><a href="#notif1">notifica 1</a></li>
      <li><a href="#notif2">notifica 2</a></li>
      <li><a href="#notif3">notifica 3</a></li>
		</ul>
  </div>
  <script>
    function toggleMenu() {
      var x = document.getElementById("toggle-menu-container");
      if (x.style.display === "block") {
      x.style.display = "none";
      } else {
      x.style.display = "block";
      }
      
      var y = document.getElementById("menu-toggle-btn");
      if(y.classList.contains("menu-icon-off")) {
      y.classList.remove("menu-icon-off");
      y.classList.add("menu-icon-on");
      } else if(y.classList.contains("menu-icon-on")) {
      y.classList.remove("menu-icon-on");
      y.classList.add("menu-icon-off");
      }
    }
    </script>	
	</nav>
	
	<main>
		<header id="banner">
			<div id="banner-slideshow">
        <div class="slide">
          <img src="./img/banner/salad.png" alt="banner image" />
          <div class="banner-caption">
            <span><a href="#salad">>Learn how to make delicious salad</a></span>
          </div>
        </div>
        <div class="slide">
          <img src="./img/banner/mooncake.png" alt="banner image" />
          <div class="banner-caption">
            <span><a href="#mooncake">>Ever wanted to taste the moon?</a></span>
          </div>
        </div>
        <div class="slide">
          <img src="./img/banner/baguette.png" alt="banner image" />
          <div class="banner-caption">
            <span><a href="#bread">>Pain</a></span>
          </div>
        </div>
        <div class="slide">
          <img src="./img/banner/gorgonzola.png" alt="banner image" />
          <div class="banner-caption">
            <span><a href="#gorgonzola">>Many recipes with gorgonzola</a></span>
          </div>
        </div>
        <div class="slide">
          <img src="./img/banner/tangyuan.png" alt="banner image" />
          <div class="banner-caption">
            <span><a href="#tangyuan">>Tangyuan</a></span>
          </div>
        </div>
				<div class="arrows">
          <button id="left-arrow" class="banner-arrow btn-transparent"></button>
          <button id="right-arrow" class="banner-arrow btn-transparent"></button>
				</div>
			</div>
			<div class="dots">
			  <span class="dot"></span>
			  <span class="dot"></span>
			  <span class="dot"></span>
			  <span class="dot"></span>
			  <span class="dot"></span>
			</div>
		</header>
		
		<div class="home-display">
			<div id="category1" class="category">
        <a href="#sweets">
				<img class="category-img" src="./img/categories/sweets.png" alt="category image" />
				<span class="category-name">Corsi di Pasticceria </span>
        </a>
      </div>
			
			<div id="category2" class="category">
        <a href="#italian">
				<img class="category-img" src="./img/categories/italian.png" alt="category image" />
				<span class="category-name"> Corsi di Cucina Italiana</span>
        </a>
      </div>
			
			<div id="category3" class="category">
        <a href="#foreign">
				<img class="category-img" src="./img/categories/foreign.png" alt="category image" />
				<span class="category-name"> Corsi di Cucina Estera </span>
        </a>
      </div>
		</div>
  </main>
    
  <footer>
    <div class="socials">
      <p>Connect with Cook 4 Life</p>
      <a href="#facebook"><img src="./img/icons/facebook.png" alt="facebook" class="footer-icon" /></a>
      <a href="#twitter"><img src="./img/icons/twitter.png" alt="twitter" class="footer-icon" /></a>
      <a href="#instagram"><img src="./img/icons/instagram.png" alt="instagram" class="footer-icon" /></a>
    </div>
    <div class="footer-links">
      <ul>
        <li><a href="#privacy">Informativa sulla privacy</a></li>
        <li><a href="#tos">Condizioni di utilizzo</a></li>
        <li><a href="#contacts">Contatti</a></li>
      </ul>
    </div>
    <p>Copyright &copy; 2020</p>
  </footer>

</body>
</html>